How to Work with 2D Polyline in AutoLISP

Поділитися
Вставка
  • Опубліковано 27 жов 2024

КОМЕНТАРІ • 15

  • @manuelfernandoespinosacast7717
    @manuelfernandoespinosacast7717 11 місяців тому

    Excellent video, thank you very much, very well explained.
    I have a question, is there any way to know in which direction a polygon closes, that is, clockwise or counterclockwise?

  • @SurveyCivilRakesh
    @SurveyCivilRakesh 11 місяців тому

    Suppose I use autocad Lisp uploaded to other channels to make my UA-cam videos, will there be a copyright strike?
    Please give me the answer 🙏🙏

    • @cyberCADsolutions
      @cyberCADsolutions  11 місяців тому

      Yes. And you may go behind bars.

    • @SurveyCivilRakesh
      @SurveyCivilRakesh 11 місяців тому

      @@cyberCADsolutions I can't use someone else's stuff? If I make the program myself and use it, there is no problem in making videos with it?

  • @prernamayank6151
    @prernamayank6151 7 місяців тому

    Please tell me how to write such types of command oneself so that we can make new type of command in auto cad future. Upload this types of videos so that we can understand as simple as that.
    Very nice efforts Thank you very much

  • @cyberCADsolutions
    @cyberCADsolutions  11 місяців тому

    Session Notes:
    (setq pl(car (entsel "
    Select a polyline...:")))
    (setq pldbList(entget pl))
    (setq vlst (mapcar 'cdr (vl-remove-if-not '(lambda(x)(= (car x) 10)) pldbList)))
    (vl-load-com)
    (setq obj(vlax-ename->vla-object pl))
    (setq lenPl(vlax-get-property obj 'length))
    (setq areaPl(vlax-get-property obj 'area))
    (setq pt1 (vlax-curve-getPointAtDist obj 50))
    (entmake (list (cons 0 "circle")(cons 10 pt1)(cons 40 5)))
    (entmakex
    (append
    (list (cons 0 "LWPOLYLINE")
    (cons 100 "AcDbEntity")
    (cons 100 "AcDbPolyline")
    (cons 8 "0")
    (cons 90 (length vlst))
    (cons 70 0)
    (cons 62 1)
    )
    (mapcar '(lambda(pt)(cons 10 pt)) vlst)
    )
    )

  • @rajudasari6457
    @rajudasari6457 11 місяців тому

    Good sir and little bit advanced in lisp

  • @asadm1024
    @asadm1024 11 місяців тому

    Sir you are scientist of Autocad ❤

  • @mahendrakumarbhanuse1617
    @mahendrakumarbhanuse1617 9 місяців тому

    Sir, autolisp how to run while function with multiple values

  • @R-sum
    @R-sum 11 місяців тому

    amazing